/*
 * tickernoti
 * Copyright (c) 2012-2013 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef __TICKERNOTI_SYSPOPUP_APP_H__
#define __TICKERNOTI_SYSPOPUP_APP_H__

#if !defined(PACKAGE)
#define PACKAGE "tickernoti_syspopup"
#endif
//TODO: what is the path?
#define EDJ_PATH PREFIX"/res/edje"
#define TICKERNOTI_EDJ EDJ_PATH"/tickernoti.edj"
#define TICKERNOTI_DEFAULT_BG_MIN_HEIGHT "98"
#define TICKERNOTI_INFO_BG_MIN_HEIGHT "50"

enum syspopup_param {
	SYSPOPUP_STYLE = 0,
	SYSPOPUP_TEXT,
	SYSPOPUP_ORIENT,
	SYSPOPUP_TIMEOUT
	/* When we need to deliver other parameters to tickernoti-syspopup
	 * add the types of parameters */
};

typedef enum
{
	//TODO: ENUM name
	_ELM_TICKERNOTI_ORIENT_TOP = 0,
	_ELM_TICKERNOTI_ORIENT_BOTTOM,
	_ELM_TICKERNOTI_ORIENT_LAST
}  _Elm_Tickernoti_Orient;

typedef enum
{
	_ELM_TICKERNOTI_DEFAULT,
	_ELM_TICKERNOTI_DETAILVIEW
} _Elm_Tickernoti_Mode;

struct appdata {
	Evas_Object		*win;
	bundle			*b;
	const char*		style;
	const char*		text;
	int				timeout;
	Ecore_Timer		*e_timer;

   Evas_Object *layout;
   Ecore_Event_Handler *rotation_event_handler;
   int noti_height;
   int angle;
   _Elm_Tickernoti_Mode mode;
   _Elm_Tickernoti_Orient orient;

	/* add more variables here */
};

#endif			  /* __TICKERNOTI_SYSPOPUP_APP_H__ */

